type token =
  | ID of (Symbol.symbol)
  | INTCONST of (int32)
  | BREAK
  | CONTINUE
  | ELSE
  | FALSE
  | FOR
  | IF
  | INT
  | TRUE
  | WHILE
  | WRITEINT
  | NOT
  | AND
  | OR
  | XOR
  | EQ
  | NE
  | LT
  | LE
  | GT
  | GE
  | COMMA
  | PLUSPLUS
  | MINUSMINUS
  | LBRACE
  | RBRACE
  | LPAREN
  | RPAREN
  | SEMICOL
  | PLUS
  | MINUS
  | TIMES
  | DIVIDE
  | ASSIGN
  | EOF
  | MOD
  | NEG
  | PLUSASSIGN
  | MINUSASSIGN
  | TIMESASSIGN
  | DIVIDEASSIGN
  | MODASSIGN

val program :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Absyn.program
