(* This program is free software; you can redistribute it and/or modify it under  *)
(* the terms of the GNU General Public License as published by the Free Software  *)
(* Foundation; either version 2 of the License, or (at your option) any later     *)
(* version.                                                                       *)
(*                                                                                *)  
(* This program is distributed in the hope that it will be useful, but WITHOUT    *)
(* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS  *)
(* FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. *)
(*                                                                                *)
(* Programmed by Alok Menghrajani.                                                *)
(* http://www.alokonline.com/projets/compiler/simpleb.html                        *)
(*                                                                                *)
(* Description: this file generates the code that is before and after in the      *)
(*              final output file. It also creates the space on the stack for     *)
(*              the local variables.                                              *)


let gen code numtemps =
"        extern printf
         extern write_int

         SECTION .data

         SECTION .text

         global main
main:
        push    ebp	
        mov     ebp,esp
	sub    esp, "^(string_of_int(4*numtemps))^"\n"^
        code^"
        mov     esp, ebp
        pop     ebp	

	mov	eax,0
	ret"



